List receipts
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/receipts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/receipts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"receipt_id": "0192f7a4-0e21-7f9b-a2d5-4a7f9e0b1c23",
"kind": "history",
"surface": "search",
"audience": "customer_agent",
"day": "2026-09-22",
"read_at": "2026-09-22T17:07:09Z",
"source_id": "0192f79e-11aa-7b20-9f3e-6c1d2e4f5a60",
"profile_id": "0192f7a0-3b2e-7d41-8c5a-2e9f4b7a1c03",
"conversation_id": "call-4471",
"purpose": "customer_service",
"verification": "V1",
"policy_version": "pol-14",
"item_ids": [
"0192f7a3-7c32-7b0c-9e16-5b8a0f1c2d34",
"0192f7a2-5d10-7a8e-b1c4-3f6e8d9a0b12"
],
"withheld": 1,
"slice": 3,
"seq": 88214,
"prev_hash": "sha256:0d9f3a61c2",
"hash": "sha256:7e21c8a4b9"
}
],
"next_cursor": null
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Privacy and audit
List receipts
Reads, searches and administrative actions, with their hash chain.
GET
/
v1
/
receipts
List receipts
Authorizations
sourceKeypersonToken
nia_sk_...
Query Parameters
Available options:
read, history, analytics, admin, holdout Opaque cursor from next_cursor.
Required range:
1 <= x <= 200
